API Reference · Checks

List Blocked Providers

Shared mailbox domains that can't be used

GET/v1/providers/blocked
Public (no credentials needed)

cURL example

cURL request
curl "https://api.verifiedinbox.ai/v1/providers/blocked"

Response

200 OKBlocked domains and why.
application/json
FieldTypeDescription
datarequired
object[]—
Nested fields (3)
  • category (string)
  • domain (string)
  • provider (string)
reasonrequired
string—
Example 200 response (BlockedProviders)
{
  "data": [
    {
      "category": "free_mailbox",
      "domain": "acme.com",
      "provider": "string"
    }
  ],
  "reason": "Updated company logo"
}

Other responses & possible errors

Expand a status code below to see the error code, description, and example error payload.

429 (rate_limited)`rate_limited` — retry after `Retry-After` seconds (`details.retry_after_seconds`). `limit_reached` — a quota is used up; `details.limit` names it and `next_action` offers support.

`rate_limited` — retry after `Retry-After` seconds (`details.retry_after_seconds`). `limit_reached` — a quota is used up; `details.limit` names it and `next_action` offers support.

Example 429 error response
{
  "error": {
    "code": "rate_limited",
    "message": "Too many requests. Please wait a moment and try again."
  }
}
Was it helpful?